Page MenuHomeFreeBSD

net-mgmt/netbox: Add Django 4.0 consumers
ClosedPublic

Authored by kai on Jun 9 2022, 8:33 PM.

Details

Summary
* Django 3.2 is currently the "default" version in the ports tree due
  its long term support until April 2024.  Thus ports that are assigned
  to that version will exist until then.

  The following ports are required to make the upgrade of
  net-mgmt/netbox to the 3.2 release possible because it requires
  Django 4.0.

  All of the ports listed below were created on the basis of their
  respective original ports:

      - devel/py-dj40-django-rq
      - devel/py-dj40-graphene-django
      - www/py-dj40-django-auth-ldap
      - www/py-dj40-django-cors-headers
      - www/py-dj40-django-debug-toolbar
      - www/py-dj40-django-filter
      - www/py-dj40-django-graphiql-debug-toolbar
      - www/py-dj40-django-js-asset
      - www/py-dj40-django-mptt
      - www/py-dj40-django-prometheus
      - www/py-dj40-django-redis
      - www/py-dj40-django-tables2
      - www/py-dj40-django-taggit
      - www/py-dj40-django-timezone-field
      - www/py-dj40-djangorestframework
      - www/py-dj40-drf-yasg

* Simplify the related CONFLICTS_INSTALL entries as well.  This also
  reduces editing of the Makefiles if another ports need to be
  "repo-copied" (e.g. for Django 4.1) based on the original ports in the
  future. [1]

Suggested by: se [1]
Test Plan
  • poudriere -> OK
  • make index -> OK

Next steps once this diff is committed:

  • Deprecate all remaining */py-dj32-* ports and let them expire on 2022-06-30.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

kai requested review of this revision.Jun 9 2022, 8:33 PM
kai created this revision.

@sunpoet : Are you ok with maintaining the new "repo-copied" ports as well as you did with the original ports? Once this diff lands, I'll deprecate all remainining */py-dj32-* ports and set an expiration date (= 2022-06-30) for them.

  • devel/py-dj40-django-rq
  • devel/py-dj40-graphene-django
  • www/py-dj40-django-debug-toolbar
  • www/py-dj40-django-redis

Also added @se as a subscriber regarding his ongoing work on the CONFLICT_INSTALL entries to give a heads-up.

kai edited the summary of this revision. (Show Details)
  • Simplify CONFLICTS_INSTALL entries as suggested by @se via private e-mail . This also reduces editing of the Makefiles if another ports need to be repo-copied (e.g. for Django 4.1) based on the original ports in the future.
  • Update www/py-dj40-django-auth-ldap to the 4.1.0 release.
In D35444#803878, @kai wrote:

@sunpoet : Are you ok with maintaining the new "repo-copied" ports as well as you did with the original ports? Once this diff lands, I'll deprecate all remainining */py-dj32-* ports and set an expiration date (= 2022-06-30) for them.

  • devel/py-dj40-django-rq
  • devel/py-dj40-graphene-django
  • www/py-dj40-django-debug-toolbar
  • www/py-dj40-django-redis

LGTM. Thanks.

This revision is now accepted and ready to land.Jun 16 2022, 2:09 PM
This revision was automatically updated to reflect the committed changes.